package com.gic.haoban.manage.api.qdto.chat;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.commons.web.qo.PageQo;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-08 14:00:59
 */
public class GroupChatActivityInviteLogQDTO extends BasePageInfo implements Serializable {

    private static final long serialVersionUID = -3517354863714637621L;

    private String enterpriseId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;

    /**
     * 受邀请人会员ID
     */
    private String inviteeMemberId;

    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;

    /**
     * 是否新增会员 1是 0否 null未统计
     */
    private Integer addMemberType;

    /**
     * 批次
     */
    private Integer batchNumber;

    /**
     * 开始时间
     */
    private Date beginTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 排序字段
     */
    private String sortFiled;

    /**
     * 排序类型
     */
    private String sortType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public String getInviteeMemberId() {
        return inviteeMemberId;
    }

    public void setInviteeMemberId(String inviteeMemberId) {
        this.inviteeMemberId = inviteeMemberId;
    }

    public Integer getAddMemberType() {
        return addMemberType;
    }

    public void setAddMemberType(Integer addMemberType) {
        this.addMemberType = addMemberType;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(Integer batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getSortFiled() {
        return sortFiled;
    }

    public void setSortFiled(String sortFiled) {
        this.sortFiled = sortFiled;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }
}
